Description

Supportanfrage:

Ich habe ein DAT, bei dem die Funktion ExtractEDSDataFromDAT() den Fehler -11 (Invalid file) zuückgibt.

Die EDS-Daten können aber mittels ADTF (2.13) per "Project Tree" und "Extract..." trotzdem ausgepackt werden.

Auch das Kopieren der beiden Extensions „Store Actual Config“ und „Store_Actual_Config2“ bringt keinen

Fehler und die EDS Daten sind im Ziel-DAT vorhanden. Das besagte DAT hat eine Größe von 33GB.

Lösung:

Ich kann deinen beschriebenen Fehler nachstellen. Obwohl die eds.exe -11 zurück gibt, werden die EDS Daten entpackt.

Auch über den Project-Tree -> extract data.

DAT-Files wurde höchstwahrscheinlich mit ADTF 2.9 aufgenommen. In den darauffolgenden Versionen wurden noch EDS Bugs

gefixt.

Eigenschaften wie Größe und Checksumme wurden anfangs nur

• beim Laden der der Konfiguration

• beim Anmelden einer Datei über das EDS Interface gelesen.

Wenn sich zwischen diesem Zeitpunkt und dem eigentlichen Speichern der Datei etwas ändert, dann werden die alten

Eigenschaften beim Speichern genutzt (kritisch ist die Größe). Dies wurde so geändert, dass die Checksum nochmal neu

berechnet wird. Es wurde entschieden, dass dies dem Kunden in Form eines Fehlers mitgeteilt werden soll. Die Entscheidung

hier einen Fehler auszugeben hatte aber denke ich keinen besonderen Hintergrund.

Der Fehler ist also mehr als Hinweis zu verstehen.

 -> Entpackte Dateien sind vailde.

Produktticket #38889 erstellt.

Related issues:

Related to Public Support - Support Request #147: Method ExtractEDSDataFromDA... Closed

History

#1 - 2017-02-27 11:12 - hidden

- Status changed from New to In Progress

- Topic set to StreamingLib::Common

- Support Level changed from 2nd Level to 3rd Level

Hallo Stephan,

bitte nachstellen und dabei #147 beachten.

Nur in diesem Fall sind EDS Daten vorhanden !

#2 - 2017-02-27 11:12 - hidden
- Related to Support Request #147: Method ExtractEDSDataFromDAT returns error code -11 (ERR_INVALID_FILE) added

#3 - 2017-02-27 11:13 - hidden

- Subject changed from Auspacken der EDS-Dateien mit Funktion ExtractEDSDataFromDAT() geht nicht to ExtractEDSDataFromDAT() does not work

for EDS data which can be extracted in Project Tree

#4 - 2017-02-27 11:14 - hidden

Hallo, kann man mittlerweile Dateien hochladen? Evtl. auch über einen USB-Stick per Post?!

Habe eben festgestellt, dass die Funktion die EDS-Dateien doch richtig auspackt, aber trotzdem

den Fehler -11 generiert. Ich muss die EDS-Dateien von 2 DATs auspacken, um sie vergleichen zu können.

Gruß Gerd

#5 - 2017-02-27 11:46 - hidden

Hallo Gerd,

wir haben weiterhin ein Timeout Problem, allerdings nur wenn man von außen kommt, im internen LAN geht es und wir wissen nach wie vor nicht

weiter.

33GB würden ohnehin nicht gehen in Redmine, wir validieren im Moment einen Filetransfer.

Wenn du uns einen USB Stick schicken könntest, wäre natürlich bei dieser Größe die Optimallösung.

Anschrift siehe Hauptseite 'Home'.

Habe eben festgestellt, dass die Funktion die EDS-Dateien doch richtig auspackt, aber trotzdem

 den Fehler -11 generiert. Ich muss die EDS-Dateien von 2 DATs auspacken, um sie vergleichen zu können.

Das macht wenig Sinn im ersten Moment...

Ist dein EDS Verzeichnis vor dem Auspacken auch wirklich leer, nicht dass hier noch die "Leichen" vom Gutfall aus dem Project Tree rumliegen...

#6 - 2017-02-27 11:47 - hidden

- Project changed from Public Support to 5

PS: Bitte um etwas Nachsicht bei der Bearbeitung diese Woche, wir haben ADTF 3.0 Release und hier geht der Großteil an unseren Ressourcen

verloren...

#7 - 2017-02-27 12:08 - hidden

Hallo Florian,

kein Problem, Release geht vor.

Ja, die beiden Verzeichnisse (für das originale DAT und kompr. DAT) werden immer neu angelegt und

am Ende wieder gelöscht. Bei den meisten anderen DATs funktioniert es ja auch...

Gruß Gerd

#8 - 2017-03-03 13:52 - hidden

An den Anwender:

Hallo Gerd,

entschuldige die späte Antwort.

Leider kann ich deinen Problemfall mit selbst erstellten .DAT files nicht nachstellen.

.DAT files die Extended Data enthalten, legen diese bei Verwendung der eds.exe (ExtractEDSDataFromDAT example) im angegebenen Verzeichnis

ab, bei welchen die keine Extended Data enthalten gibt die CMD invalid file zurück.

Schickst du uns deine .DAT files jetzt per Post (USB-Stick) zu?

Dann könnte ich den Fehler mit deinen Daten nachstellen.

#9 - 2017-03-06 06:52 - hidden

Hallo Florian,

habe nur USB-Sticks mit 32GB, das DAT hat aber 33,xGB. Werde versuchen einen 64GB-Stick zu organisieren....

Evtl. kann ich es "Zippen"?!

Welche Adresse soll ich verwenden?

Digitalwerk GmbH

Im Gewerbepark C 15
93059 Regensburg

oder

Digitalwerk GmbH

Gutenbergstraße 19

85080 Gaimersheim

#10 - 2017-03-06 11:27 - hidden

Hallo Gerd,

bitte an:

Digitalwerk GmbH

Im Gewerbepark C 15

93059 Regensburg

#11 - 2017-03-06 12:51 - hidden

ZIP per USB-Stick folgt per Post.

Passwort "edsdaten"

#12 - 2017-03-09 13:37 - hidden

- Status changed from In Progress to Customer Feedback Required

An den Anwender:

Hallo Gerd,

der Stick ist eingetroffen, nur ist das Passwort "edsdaten" falsch.

Bitte teile uns das richtige Passwort mit.

#13 - 2017-03-09 14:13 - hidden

Hallo Stephan,

ich habe kein anderes PW.

Ein Kollege hat es auf seinem Rechner noch testweise kopiert/ausgepackt und er hat gesagt, dass es funktioniert hat.

Gruß Gerd

#14 - 2017-03-09 14:28 - hidden

An den Anwender:

Hallo Gerd,

weder edsdaten, EDSDATEN, EDSDaten oder ähnliches Passwort wird aktzeptiert.

Bitte halte noch einmal Rücksprache mit deinem Kollegen.

#15 - 2017-03-09 14:30 - hidden

Habe ich eben gemacht. Ich habe es ihm mündlich mitgeteilt "edsdaten" (alles klein) und er hat gesagt, es funktioniert.

Wenn es partout nicht geht, dann bitte wieder zurückschicken und ich besorge einen anderen Stick...

#16 - 2017-03-09 15:11 - hidden

An den Anwender:

Hallo Gerd,

Entwarnung! Mit 7Zip konnte ich das Archiv erfolgreich entpacken. Der PowerArchiver 2016 konnte leider nicht mit dem Archiv umgehen.

Ich beginne jetzt mit der Analyse. Entschuldige die Umstände.

#17 - 2017-03-09 15:13 - hidden

Ok, mein Fehler, hätte ich mitteilen sollen... wurd def. mit 7Zip gepackt.

#18 - 2017-03-09 17:06 - hidden

- Resolution set to Product Issue Opened

2024-04-27 3/5



- Product Issue Numbers set to http://km-aev.in.audi.vwg/redmine/issues/38889

An den Anwender:

Hallo Gerd,

wie genau und mit welcher Version von ADTF habt ihr dieses DAT-File erzeugt? Wurde das DAT-File ohne EDS aufgenommen und diese

nachträglich hinzugefügt?

Kannst du das gleiche Verhalten bzw. den Fehlerfall mit ADTF 2.14 nachstellen?

Ich kann deinen beschriebenen Fehler nachstellen. Obwohl die eds.exe -11 zurück gibt, werden die EDS Daten entpackt. Auch über den Project-Tree

-> extract data.

Zu diesem Bug habe ich das Produktticket #38889 erstellt.

#19 - 2017-03-10 07:28 - hidden

Hallo Stephan,

wie die Sequenzen aufgenommen wurden, kann ich nicht sagen.

Die EDS-Dateien werden automatisch bei der Aufnahme hinzugefügt.

Das DAT ist von 2014 und vermutlich mit der da aktuellen ADTF-Version

aufgenommen worden. ADTF 2.14 haben wir nicht im Einsatz!

Gruß Gerd

PS:

"Ich kann deinen beschriebenen Fehler nachstellen. Obwohl die eds.exe -11 zurück gibt,

werden die EDS Daten entpackt. Auch über den Project-Tree -> extract data." -> Kann ich bestätigen

#20 - 2017-03-10 08:17 - hidden

@all: Allerdings wird beim Extract über den Project Tree auch ein Fehler geworfen in der Konsole bzgl. Checksum (?), könnt ihr das Bestätigen ?

@Gerd: Bitte auch mal die extrahierten Dateien prüfen, ob diese nach dem Entpacken noch valide sind, ich befürchte nicht, wegen dem Checksum

Fehler... Kannst du ggf. mal einen Ist/Soll Vergleich durchführen ? Hier wäre z.B. mit dem Total Commander ein Diff möglich (Byte Ebene), würde

aber auch mit anderen Tools gehen oder einfach beim Versuch es mit dem entsprechenden Programm zu laden... Es kann durchaus sein, dass mit

2.13.3 aufgenommen wurde und hier etwas "noch nicht passt", m.W. wurde hier nochmal zu 2.14 etwas gefixt, deshalb wäre eine Validierung des

Problems mit 2.14 ein guter Hinweis zur weiteren Bearbeitung.

#21 - 2017-03-10 08:44 - hidden

Laut Messtechnik wurde die Datei in 2014 höchstwahrscheinlich mit ADTF 2.9 aufgenommen

Soll/Ist-Vergleich nicht möglich, da das Fahrzeug nicht mehr existiert.

Den Fehler kann ich mit ADTF 2.13.3 bestätigen. Die ausgepackte XML-Datei ist in Ordnung.

#22 - 2017-03-10 09:32 - hidden

OK, wenn die entpackten Dateien benutzbar sind, passt das dann aber, ich wollte nur sichergehen

#23 - 2017-03-10 09:33 - hidden

Hier noch eine E-Mail von einem Kollege, der das gleiche Problem 2014 bei EB angefragt hatte:

Von: 23 EB support-team ADTF [mailto:support.automotive.EBADTF@elektrobit.com]

Gesendet: Donnerstag, 7. August 2014 11:45

An: Strahinjic Bane (CC-DA/EPV2) <Bane.Strahinjic@de.bosch.com>; Herrmann Roland (CC-DA/EPV2) <Roland.Herrmann2@de.bosch.com>

Betreff: EDS Checksummen Fehler {HD - TicketID 19869KBKLG}

Hallo zusammen,

hier die Erklärung von der AEV, warum das so ist:

Eigenschaften wie Größe und Checksumme wurden anfangs nur

•    beim Laden der der Konfiguration

•    beim Anmelden einer Datei über das EDS Interface gelesen.

Wenn sich zwischen diesem Zeitpunkt und dem eigentlichen Speichern der Datei etwas ändert, dann werden die alten Eigenschaften beim Speichern

genutzt (kritisch ist die Größe). Dies wurde so geändert, dass die Checksum nochmal neu berechnet wird. Es wurde entschieden, dass dies dem

Kunden in Form eines Fehlers mitgeteilt werden soll. Die Entscheidung hier einen Fehler auszugeben hatte aber denke ich keinen besonderen

Hintergrund.

Der Fehler ist also mehr als Hinweis zu verstehen.

Best regards - Beste Grüße,

EB Assist ADTF Support-Team
#24 - 2017-03-10 11:07 - hidden

Stimmt, das kam sogar von mir, ich wollte eigentlich ein Warning aber es wurde ein Error beschlossen...

Nun gut, deshalb hatte ich es nicht gleich auf dem Schirm^^

#25 - 2017-03-10 11:11 - hidden

Hallo Florian,

ok, dann den Issue bitte schließen (public).

Bekomme ich meinen USB-Stick wieder?

Gruß Gerd

#26 - 2017-03-10 11:25 - hidden

- Project changed from 5 to Public Support

- Status changed from Customer Feedback Required to In Progress

- Private changed from Yes to No

@Stephan: Bitte USB Stick zurückschicken und Ticket entsprechend dokumentieren, danach schließen.

#27 - 2017-03-13 11:31 - hidden

- Description updated

- Status changed from In Progress to To Be Closed

An den Anwender:

Hallo Gerd,

der USB Stick wird heute noch mit der Post versendet.

@Florian, Ticket kann geschlossen werden.

#28 - 2017-03-16 17:43 - hidden

- Status changed from To Be Closed to Closed
